Bug 1810421 - [4.2] "You are attempting to import a cert with the same issuer/serial as an existing cert, but that is not the same cert" on FIPS enabled cluster after upgrade
Summary: [4.2] "You are attempting to import a cert with the same issuer/serial as an ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: service-ca
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.2.z
Assignee: Maru Newby
QA Contact: scheng
URL:
Whiteboard:
Depends On: 1810420
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-05 08:31 UTC by Maru Newby
Modified: 2020-03-26 07:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1810420
Environment:
Last Closed: 2020-03-26 07:21:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift library-go pull 730 None closed [release-4.2] Bug 1810421: Set a random serial number for signing certificate templates 2020-04-20 12:19:22 UTC
Github openshift service-ca-operator pull 113 None closed [release-4.2] Bug 1810421: Ensure service CA certs are created with unique serial numbers 2020-04-20 12:19:22 UTC
Red Hat Product Errata RHBA-2020:0826 None None None 2020-03-26 07:21:38 UTC

Comment 1 Maru Newby 2020-03-18 00:52:08 UTC
Updating to only depend on the 4.3 issue whose verification blocks merge of the referenced 4.2 PRs.

Comment 6 errata-xmlrpc 2020-03-26 07:21:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0826


Note You need to log in before you can comment on or make changes to this bug.